Bug 1675984 - seekwatcher: FTBFS in Fedora rawhide/f30
Summary: seekwatcher: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: seekwatcher
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:57 UTC by Fedora Release Engineering
Modified: 2019-02-19 17:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 17:44:35 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:57 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:57 UTC, Fedora Release Engineering
no flags Details
state.log (637 bytes, text/plain)
2019-02-11 21:57 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:57:41 UTC
seekwatcher failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32482061


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix seekwatcher at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
seekwatcher will be orphaned. Before branching of Fedora 31,
seekwatcher will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:57:44 UTC
Created attachment 1532934 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:57:45 UTC
Created attachment 1532935 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:57:46 UTC
Created attachment 1532936 [details]
state.log

Comment 4 Eric Sandeen 2019-02-12 02:22:46 UTC
More fallout from the python wankery.

> BUILDSTDERR: *** ERROR: ambiguous python shebang in /usr/bin/seekwatcher: #!/usr/bin/env python.

Comment 5 Eric Sandeen 2019-02-19 17:44:35 UTC
I've retired seekwatcher, as it has been replaced by iowatcher (in the blktrace package).


Note You need to log in before you can comment on or make changes to this bug.